> ## Documentation Index
> Fetch the complete documentation index at: https://developer.woox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get funding rate history for one market

> Get funding rate history for one market.

**Limit: 10 requests per 1 second per IP address**


## OpenAPI

````yaml GET /v3/public/fundingRateHistory
openapi: 3.0.2
info:
  title: Swagger Petstore - OpenAPI 3.0
  description: >-
    This is a sample Pet Store Server based on the OpenAPI 3.0 specification. 
    You can find out more about

    Swagger at [http://swagger.io](http://swagger.io). In the third iteration of
    the pet store, we've switched to the design first approach!

    You can now help us improve the API whether it's by making changes to the
    definition itself or to the code.

    That way, with time, we can improve the API in general, and expose some of
    the new features in OAS3.


    Some useful links:

    - [The Pet Store
    repository](https://github.com/swagger-api/swagger-petstore)

    - [The source API definition for the Pet
    Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Team
    email: apiteam@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.19
servers:
  - url: https://api.woox.io/
security: []
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /v3/public/fundingRateHistory:
    get:
      description: Get funding rate history for one market.
      parameters:
        - name: symbol
          in: query
          description: Symbol name
          required: true
          explode: true
          schema:
            type: string
        - name: startTime
          in: query
          description: Start timestamp in Unix timestamp format in milliseconds
          required: false
          explode: true
          schema:
            type: integer
        - name: endTime
          in: query
          description: End timestamp in Unix timestamp format in milliseconds
          required: false
          explode: true
          schema:
            type: integer
        - name: page
          in: query
          description: Page number
          required: false
          explode: true
          schema:
            type: integer
            default: 1
        - name: size
          in: query
          description: Data size per page
          required: false
          explode: true
          schema:
            type: integer
            default: 25
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FundingRateHistoryResponse'
      security: []
components:
  schemas:
    FundingRateHistoryResponse:
      allOf:
        - $ref: '#/components/schemas/CommonResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                rows:
                  type: array
                  items:
                    type: object
                    properties:
                      symbol:
                        type: string
                        description: ''
                      fundingRate:
                        type: string
                        description: ''
                      fundingRateTimestamp:
                        type: number
                        description: ''
                      nextFundingTime:
                        type: number
                        description: ''
                      markPrice:
                        type: string
                        description: ''
    CommonResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 'true'
        timestamp:
          type: integer
          description: timestamp

````